classification
Title: incorrect text in argparse add_help example
Type: Stage: resolved
Components: Documentation Versions: Python 3.3, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: berker.peksag, biko, docs@python, ezio.melotti, georg.brandl, purplezephyr
Priority: normal Keywords: patch

Created on 2013-08-20 18:58 by purplezephyr, last changed 2013-10-06 08:33 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
doc_fix.patch biko, 2013-08-21 06:29 updated documentation review
Messages (4)
msg195710 - (view) Author: (purplezephyr) Date: 2013-08-20 18:58
The last example under add_help in the documentation for the argparse module has incorrect text.  It is supposed to demonstrate what happens when prefix_chars doesn't include '-', and add_help is True, but the example has the following:

  usage: PROG [-h]

  optional arguments:
    -h, --help  show this help message and exit

instead of:

  usage: PROG [+h]

  optional arguments:
    +h, ++help  show this help message and exit
msg198033 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2013-09-18 20:17
This was reported a couple of times before on the docs list.

- https://mail.python.org/pipermail/docs/2013-April/015145.html
- https://mail.python.org/pipermail/docs/2013-June/015016.html
- https://mail.python.org/pipermail/docs/2013-September/015505.html
msg199044 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2013-10-06 08:24
This is fixed by changesets:

- http://hg.python.org/cpython/rev/e2456381fa14 (3.4)
- http://hg.python.org/cpython/rev/ee394a61dade (3.3)
- http://hg.python.org/cpython/rev/c5f57a7fd4d8 (2.7)
msg199048 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-10-06 08:33
Thanks for closing this!
History
Date User Action Args
2013-10-06 08:33:05georg.brandlsetnosy: + georg.brandl
messages: + msg199048
2013-10-06 08:24:37berker.peksagsetstatus: open -> closed
resolution: fixed
messages: + msg199044

stage: patch review -> resolved
2013-09-18 20:17:50berker.peksagsetversions: + Python 3.4
nosy: + ezio.melotti, berker.peksag

messages: + msg198033

stage: patch review
2013-08-21 06:33:12bikosetnosy: + biko
2013-08-21 06:29:34bikosetfiles: + doc_fix.patch
keywords: + patch
2013-08-20 18:58:24purplezephyrcreate